%define name docbook-dtd412-xml
%define version 1.0 
%define release 3mdk
%define dtdver 4.1.2
%define mltyp xml

Name        	: %{name}
Version     	: %{version}
Release     	: %{release}
Group       	: Publishing

Summary     	: XML document type definition for DocBook %{dtdver}.

Copyright   	: Distributable
URL         	: http://www.oasis-open.org/docbook/

Obsoletes       : docbook
Provides        : docbook-dtd-%{mltyp}
Prereq		: sgml-common >= 0.2
Requires    	: xml-common

BuildRoot   	: %{_tmppath}/%{name}-buildroot

BuildArch	: noarch  
Prefix          : %{_prefix}          
Source0		: http://www.oasis-open.org/docbook/%{mltyp}/%{dtdver}/docbkx412.tar.bz2 
Patch0          : %{name}-%{version}.catalog.patch.bz2

%define sgmlbase %{_datadir}/sgml

%Description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is XML-compliant and is developed by the OASIS consortium.
This is the version %{dtdver} of this DTD.


%Prep
%setup
%patch -p1 

%Build


%Install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR/%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
install docbook.cat $DESTDIR/%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/catalog
install *.dtd $DESTDIR/%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
install *.mod $DESTDIR/%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}
ln -s %{sgmlbase}/xml-iso-entities-8879.1986 $DESTDIR/%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/ent

%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Files
%defattr (-,root,root)
%doc *.txt ChangeLog
%dir %{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/
%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/ent
%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/catalog
%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/*.dtd
%{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/*.mod


%Post
/usr/bin/install-catalog --add /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat %{sgmlbase}/sgml-iso-entities-8879.1986/catalog >/dev/null 2>/dev/null
/usr/bin/install-catalog --add /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat %{sgmlbase}/docbook/%{mltyp}-dtd-%{dtdver}/catalog >/dev/null 2>/dev/null
ln -s -f /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat /etc/sgml/%{mltyp}-docbook.cat


%Postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    /usr/bin/install-catalog --remove /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat /usr/share/sgml/%{mltyp}-iso-entities-8879.1986/catalog >/dev/null 2>/dev/null
    /usr/bin/install-catalog --remove /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat /usr/share/sgml/docbook/%{mltyp}-dtd-%{dtdver}/catalog >/dev/null 2>/dev/null
fi

if [ ! -e /etc/sgml/%{mltyp}-docbook-%{dtdver}.cat ]
then rm -f /etc/sgml/%{mltyp}-docbook.cat
     OTHERCAT=`ls /etc/sgml/%{mltyp}-docbook-?.?.cat 2> /dev/null | head --lines 1`
     if [ -n "$OTHERCAT" ]; then ln -s $OTHERCAT /etc/sgml/%{mltyp}-docbook.cat; fi
fi

 
%changelog
* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-3mdk
- Redirect install-catalog output to /dev/null

* Mon Jan 08 2001 Camille Begnis <camille@mandrakesoft.com> 1.0-2mdk
- Add link to ISO entities

* Thu Oct 19 2000 Camille Begnis <camille@mandrakesoft.com> 1.0-1mdk
- New for mandrake
